import { EditorAction2 } from 'monaco-editor/esm/vs/editor/browser/editorExtensions.js';
import { localizeWithPath } from 'monaco-editor/esm/vs/nls.js';
import { Action2 } from 'monaco-editor/esm/vs/platform/actions/common/actions.js';

const defaultOptions = {
    category: {
        value: ( localizeWithPath(
            'vs/workbench/contrib/snippets/browser/commands/abstractSnippetsActions',
            'snippets',
            'Snippets'
        )),
        original: 'Snippets'
    },
};
class SnippetsAction extends Action2 {
    constructor(desc) {
        super({ ...defaultOptions, ...desc });
    }
}
class SnippetEditorAction extends EditorAction2 {
    constructor(desc) {
        super({ ...defaultOptions, ...desc });
    }
}

export { SnippetEditorAction, SnippetsAction };
